summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-libs')
-rw-r--r--sys-libs/libaal/Manifest1
-rw-r--r--sys-libs/libaal/libaal-1.0.7.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/sys-libs/libaal/Manifest b/sys-libs/libaal/Manifest
index e7a1c643dce..96e01326961 100644
--- a/sys-libs/libaal/Manifest
+++ b/sys-libs/libaal/Manifest
@@ -1,2 +1,3 @@
DIST libaal-1.0.5.tar.gz 336052 SHA256 ff1adb7aa7b917010d827f2e451fad8cb65ce981877d762b48baf20e89212e81 SHA512 1e4076ce4228a7947074ce2764da63f48cbeb4086cf6ab75b882ecd4ff07d4de3a6f5411c5c0b9cdd1c279b3bb98f92f5da3892e5479b7112b67703fddc102be WHIRLPOOL 805ffefdf22b6df05e57d0f836940c4f5748dba8fa5d6933bf07f410ae85f3914353d0697eb33dbc7a927e6d367bd9ab1e85caa1c1be94f710d0395f52854432
DIST libaal-1.0.6.tar.gz 345894 SHA256 b1a1547746438b156156f82332557b05442e6d6c39fa9fe0d8dd47a3ad16ce9c SHA512 9b13096abcb90e75fff607ffd7b11ed8b100f349800b726acb01aca12f54abe784adb9912916fe8ed0751ebf367ecced04ab058e1e8b947f4209a5e6c390f123 WHIRLPOOL 7d93c3dc6eb62712a460f37bc933588c0b71d17472c64104a5cba939324af801ca0ba37063cd020caf8aa0d352a21b5222f838b427fbba0c03144b89d64e98c6
+DIST libaal-1.0.7.tar.gz 376068 BLAKE2B 2fb7802401721a64b17c0409f3ff668524399efc03b4bda4b4523af2cce204fdb5cf41bb2b2a6af5cbda34ee88cbb4703eec9bb76774d705b1759c91a33b1e34 SHA512 9b39a8cd3f49257ea912bb0e463c0c63ad06914e8a310deb4d4dce544d3ee34f492203c7321f971af71dddc1eb85f207082a4791b19bd4fad3f7dab516513b3d
diff --git a/sys-libs/libaal/libaal-1.0.7.ebuild b/sys-libs/libaal/libaal-1.0.7.ebuild
new file mode 100644
index 00000000000..78fb9df4d93
--- /dev/null
+++ b/sys-libs/libaal/libaal-1.0.7.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="library required by reiser4progs"
+HOMEPAGE="https://sourceforge.net/projects/reiser4/"
+SRC_URI="mirror://sourceforge/reiser4/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 -sparc ~x86"
+IUSE="static-libs"
+
+DEPEND="virtual/os-headers"
+
+src_prepare() {
+ default
+
+ # remove stupid CFLAG hardcodes
+ sed -i \
+ -e "/GENERIC_CFLAGS/s:-O3::" \
+ -e "/^CFLAGS=/s:\"\":\"${CFLAGS}\":" \
+ configure || die
+ printf '#!/bin/sh\n:\n' > run-ldconfig || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-libminimal
+ --enable-memory-manager
+ $(use_enable static-libs static)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ gen_usr_ldscript -a aal{,-minimal}
+}